ranger-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sailaja Polavarapu (JIRA)" <j...@apache.org>
Subject [jira] [Created] (RANGER-2263) Remove unnecessary explicit dependency for apache commons compress jar in Ranger
Date Mon, 22 Oct 2018 23:37:00 GMT
Sailaja Polavarapu created RANGER-2263:
------------------------------------------

             Summary: Remove unnecessary explicit dependency for apache commons compress jar
in Ranger
                 Key: RANGER-2263
                 URL: https://issues.apache.org/jira/browse/RANGER-2263
             Project: Ranger
          Issue Type: Bug
          Components: Ranger
    Affects Versions: 1.2.0
            Reporter: Sailaja Polavarapu
             Fix For: master


Currently there are multiple versions of commons-compress jar files in Ranger (1.8.1 &
1.4.1). Security-admin module is currently packaging 1.8.1 version explicitly where as tagsync
module is packaging 1.4.1 version.

Ranger-kms module has 1.4.1 version which is a transitive dependency from hadoop-commons.
Since security-admin module doesn't have a direct usage of commons-compress module, we can
remove that and keep transitive dependency from hadoop-commons for tagsync and kms modules.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message